%define		lang_name	buzztard-0.7
%define		girdir		%(pkg-config gobject-introspection-1.0 --variable=girdir)
Name:		buzztard
Version:	0.7.0
Release:	1%{?dist}
Summary:	Buzztard is a music composer similar to tracker applications
Group:          Applications/Multimedia
License:	LGPLv2+
URL:		http://gentrans.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	GConf2-devel
BuildRequires:	gettext
BuildRequires:	glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libgsf-devel
BuildRequires:	libgudev1-devel
BuildRequires:	libxml2-devel
Requires:	gnome-icon-theme
Requires:	gstreamer-plugins-%{name}
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
Buzztard is a music composer similar to tracker applications.
It is roughly modeled after the windows only, closed source and now
discontinued application called Buzz.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
This package contains the header files and development documentation
for %{name}.

%package	-n gstreamer-plugins-%{name}
Summary:	Buzztard gstreamer plugin
Group:          Applications/Multimedia
Requires:	gstreamer
Requires:	gstreamer-plugins-bad-free
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good

%description	-n gstreamer-plugins-%{name}
This package contains the Buzztard gstreamer plugin.

%package	doc
Summary:	Documentation for Buzztard GStreamer Plug-ins
Group:		Documentation
BuildArch:	noarch
BuildRequires:	gtk-doc

%description	doc
This package contains the documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-static

# Kill rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# parallel build not safe
make

%install
make install DESTDIR=%{buildroot}

%if %_lib == "lib64"
mv %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}
%endif

rm %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/*/*.la

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
    desktop-file-validate $file
done

rm %{buildroot}%{_datadir}/mime/{aliases,generic-icons,globs,globs2,icons,magic,mime.cache,subclasses,treemagic,types,version,XMLnamespaces}
rm %{buildroot}%{_datadir}/applications/mimeinfo.cache

# FIXME
mkdir -p  %{buildroot}%{girdir}
mv %{buildroot}%{_datadir}/gir/*  %{buildroot}%{girdir}

%find_lang %{lang_name}

%post
    /sbin/ldconfig
    %{_bindir}/update-desktop-database &> /dev/null || :

%postun
    /sbin/ldconfig
    %{_bindir}/update-desktop-database &> /dev/null || :

%files		-f %{lang_name}.lang
%{_bindir}/%{name}-*
%{_libdir}/%{name}-*
%{_libdir}/girepository/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/mime/audio/*
%{_datadir}/mime/packages/*
%{girdir}/*
%{_datadir}/gnome/help*
%{_datadir}/icons/gnome/*/*
%{_datadir}/icons/hicolor/*/*
%{_datadir}/omf/*

%files		devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files		-n gstreamer-plugins-%{name}
%{_libdir}/gstreamer-*/*.so

%files		doc
%{_datadir}/gtk-doc/html/%{name}-*

%changelog
* Thu Jan 24 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.7.0-1
- Initial buzztard spec.
